>From ca83f33d4d6b7015ba99bfbf3db222a6b20ef7a8 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 17:52:15 +0300
Subject: [carFl mem 41/65] Globalisation pass 1: fixes it85spi.c

Pass globals structure to register_shutdown as data.
Now the tree should compile.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 it85spi.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/it85spi.c b/it85spi.c
index ebf0711..739e4f4 100644
--- a/it85spi.c
+++ b/it85spi.c
@@ -222,7 +222,7 @@ void it85xx_exit_scratch_rom(globals *g)
 static int it85xx_shutdown(void *data)
 {
 	msg_pdbg("%s():%d\n", __func__, __LINE__);
-	it85xx_exit_scratch_rom();
+	it85xx_exit_scratch_rom((globals *)data);
 
 	return 0;	/* FIXME: Should probably return something meaningful */
 }
@@ -234,7 +234,7 @@ static int it85xx_spi_common_init(globals *g, struct superio s)
 	msg_pdbg("%s():%d superio.vendor=0x%02x\n", __func__, __LINE__,
 	         s.vendor);
 
-	if (register_shutdown(it85xx_shutdown, NULL))
+	if (register_shutdown(it85xx_shutdown, (void *)g))
 		return 1;
 
 #ifdef LPC_IO
-- 
1.7.6

